import BaseCommand from '../base';
export default class Unlink extends BaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'page-size': import("@oclif/parser/lib/flags").IOptionFlag<number>;
        'core-repo-name': import("@oclif/command/lib/flags").IOptionFlag<string>;
        'custom-repo-regex': import("@oclif/command/lib/flags").IOptionFlag<string>;
        'custom-repo-shortname-regex': import("@oclif/command/lib/flags").IOptionFlag<string>;
    };
    run(): Promise<boolean | string>;
    linkExists: (filepath: any) => Promise<string | boolean>;
    getCustomSubdirPath: () => Promise<string>;
}
